function onBegin()
	disableRetry()
	disableMovement()
	say("P2PConlab_Riki_ESDM_End")
	instantTeleportTo(11476, -100)
	enableMovement()
end

function onEnd(level, wasSkipped)
	if wasSkipped then
		instantTeleportTo(11476, -100)
		enableRetry()
		enableMovement()
	end
end